"""
Really a simple CA.  I'm trying to figure out the nest2.6 syntax with
pyNN 0.8.2(b)?  Things have changed or are missing, but this works.
"""

#imports for PyNN
#from pyNN.utility import get_script_args
from nest import *

#------------Main Body---------------
ResetKernel()

neurons=Create('iaf_cond_exp', n=5,
               params = {'C_m':50.0,'V_th': -60.0, 'V_reset': -70.0, 't_ref':1.0})
#neurons=Create('iaf_neuron', n=5,
#               params = {'C_m':50.0,'V_th': -65.0, 'V_reset': -70.0})


inputSource=Create('spike_generator',params={'spike_times': [2.0,5.0]})

#parse.setConnections()
Connect(inputSource,neurons, syn_spec={'weight':40.0})
Connect(neurons,neurons, syn_spec={'weight':10.0})

#parse.setRecording()
mult = Create('multimeter', params = {'withtime': True, 
                          'interval': 1.0,
                          'record_from': ['V_m']})
Connect(mult, neurons)

Simulate(400.0)

#parse.printResults()
events = GetStatus(mult)[0]['events']
volts=events.items()[0]
volts=volts[1]
count = 0
for outp in volts:
    print count/5, ' ' , count % 5, ' ' ,outp
    count = count + 1




